Subject: Re: bug#9402: list-colors-display

From: Juri Linkov <[email-masked]>
Date: Wed, 31 Aug 2011 21:35:12 +0300

> How many users actually change these system-level settings from their
> defaults?  My guess is zero.

Many users switch pre-defined system themes (because this is very easy to do).
And when the user likes the default system-level settings, it's the user's
preference after all that should be respected.

>> So Emacs should adapt to the platform defaults as much as possible.
>
> Obviously, I disagree.  Emacs should have the same defaults on all
> platforms, as much as possible.  People such as myself who use Emacs
> on multiple platforms become very confused when the colors they expect
> don't show.

For users that use more applications beside Emacs on one platform
it's annoying when Emacs doesn't follow common system-wide look and feel.

I think there are more users that use many applications on one platform
and want all of them look the same than the number of users who use
just Emacs and switch platforms frequently.